<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>XSSFComment (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="XSSFComment (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10,"i17":10,"i18":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/XSSFComment.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/xssf/usermodel/XSSFColorScaleFormatting.html"
               title="class in org.apache.poi.xssf.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/xssf/usermodel/XSSFConditionalFormatting.html"
               title="class in org.apache.poi.xssf.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/xssf/usermodel/XSSFComment.html" target="_top">Frames</a>
        </li>
        <li><a href="XSSFComment.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.xssf.usermodel</div>
    <h2 title="Class XSSFComment" class="title">Class XSSFComment</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li>org.apache.poi.xssf.usermodel.XSSFComment</li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <dl>
                    <dt>All Implemented Interfaces:</dt>
                    <dd><a href="../../../../../org/apache/poi/ss/usermodel/Comment.html"
                           title="interface in org.apache.poi.ss.usermodel">Comment</a></dd>
                </dl>
                <hr>
                <br>
                <pre>public class <span class="typeNameLabel">XSSFComment</span>
extends java.lang.Object
implements <a href="../../../../../org/apache/poi/ss/usermodel/Comment.html"
              title="interface in org.apache.poi.ss.usermodel">Comment</a></pre>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- ======== CONSTRUCTOR SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.summary">
                        <!--   -->
                    </a>
                        <h3>Constructor Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Constructor Summary table, listing constructors, and an explanation">
                            <caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colOne" scope="col">Constructor and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFComment.html#XSSFComment-org.apache.poi.xssf.model.CommentsTable-org.openxmlformats.schemas.spreadsheetml.x2006.main.CTComment-com.microsoft.schemas.vml.CTShape-">XSSFComment</a></span>(<a
                                        href="../../../../../org/apache/poi/xssf/model/CommentsTable.html"
                                        title="class in org.apache.poi.xssf.model">CommentsTable</a>&nbsp;comments,
                                    org.openxmlformats.schemas.spreadsheetml.x2006.main.CTComment&nbsp;comment,
                                    com.microsoft.schemas.vml.CTShape&nbsp;vmlShape)</code>
                                    <div class="block">Creates a new XSSFComment, associated with a given
                                        low level comment object.
                                    </div>
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFComment.html#equals-java.lang.Object-">equals</a></span>(java.lang.Object&nbsp;obj)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/ss/util/CellAddress.html"
                                        title="class in org.apache.poi.ss.util">CellAddress</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFComment.html#getAddress--">getAddress</a></span>()</code>
                                    <div class="block">Get the address of the cell that this comment is attached to
                                    </div>
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFComment.html#getAuthor--">getAuthor</a></span>()</code>
                                    <div class="block">Name of the original comment author</div>
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/ss/usermodel/ClientAnchor.html"
                                        title="interface in org.apache.poi.ss.usermodel">ClientAnchor</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFComment.html#getClientAnchor--">getClientAnchor</a></span>()</code>
                                    <div class="block">Return defines position of this anchor in the sheet.</div>
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFComment.html#getColumn--">getColumn</a></span>()</code>
                                    <div class="block">Return the column of the cell that contains the comment</div>
                                </td>
                            </tr>
                            <tr id="i5" class="rowColor">
                                <td class="colFirst"><code>protected
                                    org.openxmlformats.schemas.spreadsheetml.x2006.main.CTComment</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFComment.html#getCTComment--">getCTComment</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i6" class="altColor">
                                <td class="colFirst"><code>protected com.microsoft.schemas.vml.CTShape</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFComment.html#getCTShape--">getCTShape</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i7" class="rowColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFComment.html#getRow--">getRow</a></span>()</code>
                                    <div class="block">Return the row of the cell that contains the comment</div>
                                </td>
                            </tr>
                            <tr id="i8" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFRichTextString.html"
                                        title="class in org.apache.poi.xssf.usermodel">XSSFRichTextString</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFComment.html#getString--">getString</a></span>()</code>
                                    <div class="block">Fetches the rich text string of the comment</div>
                                </td>
                            </tr>
                            <tr id="i9" class="rowColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFComment.html#hashCode--">hashCode</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i10" class="altColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFComment.html#isVisible--">isVisible</a></span>()</code>
                                    <div class="block">Returns whether this comment is visible.</div>
                                </td>
                            </tr>
                            <tr id="i11" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFComment.html#setAddress-org.apache.poi.ss.util.CellAddress-">setAddress</a></span>(<a
                                        href="../../../../../org/apache/poi/ss/util/CellAddress.html"
                                        title="class in org.apache.poi.ss.util">CellAddress</a>&nbsp;address)</code>
                                    <div class="block">Set the address of the cell that this comment is attached to
                                    </div>
                                </td>
                            </tr>
                            <tr id="i12" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFComment.html#setAddress-int-int-">setAddress</a></span>(int&nbsp;row,
                                    int&nbsp;col)</code>
                                    <div class="block">Set the address of the cell that this comment is attached to
                                    </div>
                                </td>
                            </tr>
                            <tr id="i13" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFComment.html#setAuthor-java.lang.String-">setAuthor</a></span>(java.lang.String&nbsp;author)</code>
                                    <div class="block">Name of the original comment author.</div>
                                </td>
                            </tr>
                            <tr id="i14" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFComment.html#setColumn-int-">setColumn</a></span>(int&nbsp;col)</code>
                                    <div class="block">Set the column of the cell that contains the comment

                                        If changing both row and column, use <a
                                                href="../../../../../org/apache/poi/xssf/usermodel/XSSFComment.html#setAddress-int-int-"><code>setAddress(int,
                                            int)</code></a>.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i15" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFComment.html#setRow-int-">setRow</a></span>(int&nbsp;row)</code>
                                    <div class="block">Set the row of the cell that contains the comment

                                        If changing both row and column, use <a
                                                href="../../../../../org/apache/poi/xssf/usermodel/XSSFComment.html#setAddress-int-int-"><code>setAddress(int,
                                            int)</code></a>.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i16" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFComment.html#setString-org.apache.poi.ss.usermodel.RichTextString-">setString</a></span>(<a
                                        href="../../../../../org/apache/poi/ss/usermodel/RichTextString.html"
                                        title="interface in org.apache.poi.ss.usermodel">RichTextString</a>&nbsp;string)</code>
                                    <div class="block">Sets the rich text string used by this comment.</div>
                                </td>
                            </tr>
                            <tr id="i17" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFComment.html#setString-java.lang.String-">setString</a></span>(java.lang.String&nbsp;string)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i18" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFComment.html#setVisible-boolean-">setVisible</a></span>(boolean&nbsp;visible)</code>
                                    <div class="block">Sets whether this comment is visible.</div>
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait</code>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ========= CONSTRUCTOR DETAIL ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.detail">
                        <!--   -->
                    </a>
                        <h3>Constructor Detail</h3>
                        <a name="XSSFComment-org.apache.poi.xssf.model.CommentsTable-org.openxmlformats.schemas.spreadsheetml.x2006.main.CTComment-com.microsoft.schemas.vml.CTShape-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>XSSFComment</h4>
                                <pre>public&nbsp;XSSFComment(<a
                                        href="../../../../../org/apache/poi/xssf/model/CommentsTable.html"
                                        title="class in org.apache.poi.xssf.model">CommentsTable</a>&nbsp;comments,
                   org.openxmlformats.schemas.spreadsheetml.x2006.main.CTComment&nbsp;comment,
                   com.microsoft.schemas.vml.CTShape&nbsp;vmlShape)</pre>
                                <div class="block">Creates a new XSSFComment, associated with a given
                                    low level comment object.
                                </div>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="getAuthor--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getAuthor</h4>
                                <pre>public&nbsp;java.lang.String&nbsp;getAuthor()</pre>
                                <div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/ss/usermodel/Comment.html#getAuthor--">Comment</a></code></span>
                                </div>
                                <div class="block">Name of the original comment author</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/Comment.html#getAuthor--">getAuthor</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/Comment.html"
                                                title="interface in org.apache.poi.ss.usermodel">Comment</a></code></dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>Name of the original comment author. Default value is blank.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setAuthor-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setAuthor</h4>
                                <pre>public&nbsp;void&nbsp;setAuthor(java.lang.String&nbsp;author)</pre>
                                <div class="block">Name of the original comment author. Default value is blank.</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/Comment.html#setAuthor-java.lang.String-">setAuthor</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/Comment.html"
                                                title="interface in org.apache.poi.ss.usermodel">Comment</a></code></dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>author</code> - the name of the original author of the comment</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getColumn--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getColumn</h4>
                                <pre>public&nbsp;int&nbsp;getColumn()</pre>
                                <div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/ss/usermodel/Comment.html#getColumn--">Comment</a></code></span>
                                </div>
                                <div class="block">Return the column of the cell that contains the comment</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/Comment.html#getColumn--">getColumn</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/Comment.html"
                                                title="interface in org.apache.poi.ss.usermodel">Comment</a></code></dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the 0-based column of the cell that the comment is associated with.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getRow--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getRow</h4>
                                <pre>public&nbsp;int&nbsp;getRow()</pre>
                                <div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/ss/usermodel/Comment.html#getRow--">Comment</a></code></span>
                                </div>
                                <div class="block">Return the row of the cell that contains the comment</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/Comment.html#getRow--">getRow</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/Comment.html"
                                                title="interface in org.apache.poi.ss.usermodel">Comment</a></code></dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the 0-based row index of the cell that the comment is associated with.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="isVisible--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>isVisible</h4>
                                <pre>public&nbsp;boolean&nbsp;isVisible()</pre>
                                <div class="block">Returns whether this comment is visible.</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/Comment.html#isVisible--">isVisible</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/Comment.html"
                                                title="interface in org.apache.poi.ss.usermodel">Comment</a></code></dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd><code>true</code> if the comment is visible, <code>false</code> otherwise</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setVisible-boolean-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setVisible</h4>
                                <pre>public&nbsp;void&nbsp;setVisible(boolean&nbsp;visible)</pre>
                                <div class="block">Sets whether this comment is visible.</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/Comment.html#setVisible-boolean-">setVisible</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/Comment.html"
                                                title="interface in org.apache.poi.ss.usermodel">Comment</a></code></dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>visible</code> - <code>true</code> if the comment is visible,
                                        <code>false</code> otherwise
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getAddress--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getAddress</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/ss/util/CellAddress.html"
                                                    title="class in org.apache.poi.ss.util">CellAddress</a>&nbsp;getAddress()</pre>
                                <div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/ss/usermodel/Comment.html#getAddress--">Comment</a></code></span>
                                </div>
                                <div class="block">Get the address of the cell that this comment is attached to</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/Comment.html#getAddress--">getAddress</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/Comment.html"
                                                title="interface in org.apache.poi.ss.usermodel">Comment</a></code></dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>comment cell address</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setAddress-int-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setAddress</h4>
                                <pre>public&nbsp;void&nbsp;setAddress(int&nbsp;row,
                       int&nbsp;col)</pre>
                                <div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/ss/usermodel/Comment.html#setAddress-int-int-">Comment</a></code></span>
                                </div>
                                <div class="block">Set the address of the cell that this comment is attached to</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/Comment.html#setAddress-int-int-">setAddress</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/Comment.html"
                                                title="interface in org.apache.poi.ss.usermodel">Comment</a></code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setAddress-org.apache.poi.ss.util.CellAddress-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setAddress</h4>
                                <pre>public&nbsp;void&nbsp;setAddress(<a
                                        href="../../../../../org/apache/poi/ss/util/CellAddress.html"
                                        title="class in org.apache.poi.ss.util">CellAddress</a>&nbsp;address)</pre>
                                <div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/ss/usermodel/Comment.html#setAddress-org.apache.poi.ss.util.CellAddress-">Comment</a></code></span>
                                </div>
                                <div class="block">Set the address of the cell that this comment is attached to</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/Comment.html#setAddress-org.apache.poi.ss.util.CellAddress-">setAddress</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/Comment.html"
                                                title="interface in org.apache.poi.ss.usermodel">Comment</a></code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setColumn-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setColumn</h4>
                                <pre>public&nbsp;void&nbsp;setColumn(int&nbsp;col)</pre>
                                <div class="block">Set the column of the cell that contains the comment

                                    If changing both row and column, use <a
                                            href="../../../../../org/apache/poi/xssf/usermodel/XSSFComment.html#setAddress-int-int-"><code>setAddress(int,
                                        int)</code></a>.
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/Comment.html#setColumn-int-">setColumn</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/Comment.html"
                                                title="interface in org.apache.poi.ss.usermodel">Comment</a></code></dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>col</code> - the 0-based column of the cell that contains the comment</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setRow-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setRow</h4>
                                <pre>public&nbsp;void&nbsp;setRow(int&nbsp;row)</pre>
                                <div class="block">Set the row of the cell that contains the comment

                                    If changing both row and column, use <a
                                            href="../../../../../org/apache/poi/xssf/usermodel/XSSFComment.html#setAddress-int-int-"><code>setAddress(int,
                                        int)</code></a>.
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/Comment.html#setRow-int-">setRow</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/Comment.html"
                                                title="interface in org.apache.poi.ss.usermodel">Comment</a></code></dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>row</code> - the 0-based row of the cell that contains the comment</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getString--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getString</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFRichTextString.html"
                                        title="class in org.apache.poi.xssf.usermodel">XSSFRichTextString</a>&nbsp;getString()</pre>
                                <div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/ss/usermodel/Comment.html#getString--">Comment</a></code></span>
                                </div>
                                <div class="block">Fetches the rich text string of the comment</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/Comment.html#getString--">getString</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/Comment.html"
                                                title="interface in org.apache.poi.ss.usermodel">Comment</a></code></dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the rich text string of the comment</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setString-org.apache.poi.ss.usermodel.RichTextString-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setString</h4>
                                <pre>public&nbsp;void&nbsp;setString(<a
                                        href="../../../../../org/apache/poi/ss/usermodel/RichTextString.html"
                                        title="interface in org.apache.poi.ss.usermodel">RichTextString</a>&nbsp;string)</pre>
                                <div class="block">Sets the rich text string used by this comment.</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/Comment.html#setString-org.apache.poi.ss.usermodel.RichTextString-">setString</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/Comment.html"
                                                title="interface in org.apache.poi.ss.usermodel">Comment</a></code></dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>string</code> - the XSSFRichTextString used by this object.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setString-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setString</h4>
                                <pre>public&nbsp;void&nbsp;setString(java.lang.String&nbsp;string)</pre>
                            </li>
                        </ul>
                        <a name="getClientAnchor--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getClientAnchor</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/ss/usermodel/ClientAnchor.html"
                                                    title="interface in org.apache.poi.ss.usermodel">ClientAnchor</a>&nbsp;getClientAnchor()</pre>
                                <div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/ss/usermodel/Comment.html#getClientAnchor--">Comment</a></code></span>
                                </div>
                                <div class="block">Return defines position of this anchor in the sheet.
                                    The anchor is the yellow box/balloon that is rendered on top of the sheets
                                    when the comment is visible.

                                    To associate a comment with a different cell, use <a
                                            href="../../../../../org/apache/poi/ss/usermodel/Comment.html#setAddress-org.apache.poi.ss.util.CellAddress-"><code>Comment.setAddress(org.apache.poi.ss.util.CellAddress)</code></a>.
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/Comment.html#getClientAnchor--">getClientAnchor</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/Comment.html"
                                                title="interface in org.apache.poi.ss.usermodel">Comment</a></code></dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>defines position of this anchor in the sheet</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getCTComment--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getCTComment</h4>
                                <pre>protected&nbsp;org.openxmlformats.schemas.spreadsheetml.x2006.main.CTComment&nbsp;getCTComment()</pre>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the xml bean holding this comment's properties</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getCTShape--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getCTShape</h4>
                                <pre>protected&nbsp;com.microsoft.schemas.vml.CTShape&nbsp;getCTShape()</pre>
                            </li>
                        </ul>
                        <a name="equals-java.lang.Object-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>equals</h4>
                                <pre>public&nbsp;boolean&nbsp;equals(java.lang.Object&nbsp;obj)</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
                                    <dd><code>equals</code>&nbsp;in class&nbsp;<code>java.lang.Object</code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="hashCode--">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>hashCode</h4>
                                <pre>public&nbsp;int&nbsp;hashCode()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
                                    <dd><code>hashCode</code>&nbsp;in class&nbsp;<code>java.lang.Object</code></dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/XSSFComment.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/xssf/usermodel/XSSFColorScaleFormatting.html"
               title="class in org.apache.poi.xssf.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/xssf/usermodel/XSSFConditionalFormatting.html"
               title="class in org.apache.poi.xssf.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/xssf/usermodel/XSSFComment.html" target="_top">Frames</a>
        </li>
        <li><a href="XSSFComment.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
